| LUFA Library 140302 |

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
USB_ClassInfo_CDC_Host_t Struct Reference
CDC Class Host Mode Driver

CDC Class Host Mode Configuration and State Structure. More...

`#include <CDCClassHost.h>`

## Data Fields
struct {
USB_Pipe_Table_t DataINPipe
USB_Pipe_Table_t DataOUTPipe
USB_Pipe_Table_t NotificationPipe
} | Config
struct {
uint8_t ControlInterfaceNumber
struct {
uint16_t DeviceToHost
uint16_t HostToDevice
} ControlLineStates
bool IsActive
CDC_LineEncoding_t LineEncoding
} | State

## Detailed Description

Class state structure. An instance of this structure should be made within the user application, and passed to each of the CDC class driver functions as the `CDCInterfaceInfo` parameter. This stores each CDC interface's configuration and state information.

## Field Documentation

struct { ... } USB_ClassInfo_CDC_Host_t::Config

Config data for the USB class interface within the device. All elements in this section must be set or the interface will fail to enumerate and operate correctly.

uint8_t USB_ClassInfo_CDC_Host_t::ControlInterfaceNumber

Interface index of the CDC-ACM control interface within the attached device.

struct { ... } USB_ClassInfo_CDC_Host_t::ControlLineStates

Current states of the virtual serial port's control lines between the device and host.

USB_Pipe_Table_t USB_ClassInfo_CDC_Host_t::DataINPipe

Data IN Pipe configuration table.

USB_Pipe_Table_t USB_ClassInfo_CDC_Host_t::DataOUTPipe

Data OUT Pipe configuration table.

uint16_t USB_ClassInfo_CDC_Host_t::DeviceToHost

Control line states from the device to host, as a set of `CDC_CONTROL_LINE_IN_*` masks. This value is updated each time CDC_Host_USBTask() is called.

uint16_t USB_ClassInfo_CDC_Host_t::HostToDevice

Control line states from the host to device, as a set of `CDC_CONTROL_LINE_OUT_*` masks - to notify the device of changes to these values, call the CDC_Host_SendControlLineStateChange() function.

bool USB_ClassInfo_CDC_Host_t::IsActive

Indicates if the current interface instance is connected to an attached device, valid after CDC_Host_ConfigurePipes() is called and the Host state machine is in the Configured state.

CDC_LineEncoding_t USB_ClassInfo_CDC_Host_t::LineEncoding

Line encoding used in the virtual serial port, for the device's information. This is generally only used if the virtual serial port data is to be reconstructed on a physical UART. When set by the host application, the CDC_Host_SetLineEncoding() function must be called to push the changes to the device.

USB_Pipe_Table_t USB_ClassInfo_CDC_Host_t::NotificationPipe

Notification IN Pipe configuration table.

struct { ... } USB_ClassInfo_CDC_Host_t::State

State data for the USB class interface within the device. All elements in this section may be set to initial values, but may also be ignored to default to sane values when the interface is enumerated.

The documentation for this struct was generated from the following file:

- Drivers/USB/Class/Host/CDCClassHost.h